﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IECUnitOfWork.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   The unit of work.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Data
{ 
    using EcBlog.Data.Base;

    /// <summary>
    /// The unit of work.
    /// </summary>
    public interface IEcUnitOfWork : IUnitOfWork
    {
        /// <summary>
        /// Gets CommentRepository.
        /// </summary>
        ICommentRepository CommentRepository { get; }

        /// <summary>
        /// Gets LayoutRepository.
        /// </summary>
        ILayoutRepository LayoutRepository { get; }

        /// <summary>
        /// Gets PageRepository.
        /// </summary>
        IPageRepository PageRepository { get; }

        /// <summary>
        /// Gets SiteSettingRepository.
        /// </summary>
        ISiteSettingRepository SiteSettingRepository { get; }

        /// <summary>
        /// Gets TagRepository.
        /// </summary>
        ITagRepository TagRepository { get; }

        /// <summary>
        /// Gets UserRepository.
        /// </summary>
        IUserRepository UserRepository { get; }
    }
}