﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ExternalLogin.cs" company="emrecoskun.net">
//   ecblog.codeplex.com - emrecoskun.net
// </copyright>
// <summary>
//   Defines the ExternalLogin type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    /// <summary>
    /// The external login.
    /// </summary>
    public class ExternalLogin
    {
        /// <summary>
        /// Gets or sets the provider.
        /// </summary>
        /// <value>
        /// The provider.
        /// </value>
        public string Provider { get; set; }

        /// <summary>
        /// Gets or sets the display name of the provider.
        /// </summary>
        /// <value>
        /// The display name of the provider.
        /// </value>
        public string ProviderDisplayName { get; set; }

        /// <summary>
        /// Gets or sets the provider user id.
        /// </summary>
        /// <value>
        /// The provider user id.
        /// </value>
        public string ProviderUserId { get; set; }
    }
}
