﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="KeyValue.cs" company="ecblog.codeplex.com">
//   emrecoskun.net -  
// </copyright>
// <summary>
//   Defines the KeyValue type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EC.Models
{
    using System.ComponentModel.DataAnnotations;

    /// <summary>
    /// The key value class
    /// </summary>
    public class KeyValue
    {
        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>
        /// The key.
        /// </value>
        [Key]
        public string Key { get; set; }
        
        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>
        /// The value.
        /// </value>
        public string Value { get; set; }
    }
}