﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SiteSettingHistory.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The site setting history
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    using System;
    using System.ComponentModel.DataAnnotations;
    
    // using System.ComponentModel.DataAnnotations.Schema;

    /// <summary>
    /// The site setting history
    /// </summary>
    public class SiteSettingHistory
    {
        /// <summary>
        /// Gets or sets the site setting history id.
        /// </summary>
        /// <value>
        /// The site setting history id.
        /// </value>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long SiteSettingHistoryId { get; set; }

        /// <summary>
        /// Gets or sets the site setting id.
        /// </summary>
        /// <value>
        /// The site setting id.
        /// </value>
        public long SiteSettingId { get; set; }

        /// <summary>
        /// Gets or sets the setting key.
        /// </summary>
        /// <value>
        /// The setting key.
        /// </value>
        [Editable(false), StringLength(50)]
        public string SettingKey { get; set; }

        /// <summary>
        /// Gets or sets the setting value.
        /// </summary>
        /// <value>
        /// The setting value.
        /// </value>
        [StringLength(500)]
        public string SettingValue { get; set; }

        /// <summary>
        /// Gets or sets the last modified.
        /// </summary>
        /// <value>
        /// The last modified.
        /// </value>
        public DateTime LastModified { get; set; }

        /// <summary>
        /// Gets or sets the last modified user.
        /// </summary>
        /// <value>
        /// The last modified user.
        /// </value>
        [StringLength(50)]
        public string LastModifiedUser { get; set; }

        /// <summary>
        /// Gets or sets the operation.
        /// </summary>
        /// <value>
        /// The operation.
        /// </value>
        public CrudOperation Operation { get; set; }
    }
}