// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagHistory.cs" company="ecblog.codeplex.com">
//   emrecoskun.net - ibrahimatay.com
// </copyright>
// <summary>
//   The tag history
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace EcBlog.Models
{
    using System;
    using System.ComponentModel.DataAnnotations;
    
    // using System.ComponentModel.DataAnnotations.Schema;

    /// <summary>
    /// The tag history
    /// </summary>
    public sealed class TagHistory
    {
        /// <summary>
        /// Gets or sets the tag history id.
        /// </summary>
        /// <value>
        /// The tag history id.
        /// </value>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long TagHistoryId { get; set; }

        /// <summary>
        /// Gets or sets the tag id.
        /// </summary>
        /// <value>
        /// The tag id.
        /// </value>
        [ScaffoldColumn(false)]
        public long TagId { get; set; }

        /// <summary>
        /// Gets or sets the name of the tag.
        /// </summary>
        /// <value>
        /// The name of the tag.
        /// </value>
        [Required][StringLength(50)]
        public string TagName { get; set; }

        /// <summary>
        /// Gets or sets the tag slug.
        /// </summary>
        /// <value>
        /// The tag slug.
        /// </value>
        [StringLength(50)][Required]
        public string TagSlug { get; set; }

        /// <summary>
        /// Gets or sets the last modified.
        /// </summary>
        /// <value>
        /// The last modified.
        /// </value>
        public DateTime LastModified { get; set; }

        /// <summary>
        /// Gets or sets the last modified user.
        /// </summary>
        /// <value>
        /// The last modified user.
        /// </value>
        [StringLength(50)]
        public string LastModifiedUser { get; set; }

        /// <summary>
        /// Gets or sets the operation.
        /// </summary>
        /// <value>
        /// The operation.
        /// </value>
        public CrudOperation Operation { get; set; }
    }
}